# Version compatibility

Most of the times when there's an update you can modify existing config files, so you don't have to configure everything from the start.

<details>

<summary>Updating from 1.0 to 1.1</summary>

Download 1.1 version and replace new utils and config files with your old files.\
Modify your old files:

**config/config.lua : You need to add this anywhere in the file**

```lua
-- Here you can choose which options should be available in ox_target
-- You can still control the access to these options with permissions in Config.Permissions
Config.target = {
    tablet = true, -- enables opening the tablet with ox_target
    safeCheck = true, -- enables checking the organization's safe with ox_target
    safeDeposit = true, -- enables depositing and withdrawing money from the organization's safe with ox_target
    safeWithdraw = true, -- enables withdrawing money from the organization's safe with ox_target
    warehouse = true, -- enables opening the warehouse with ox_target
    wardrobe = true, -- enables opening the wardrobe with ox_target
    wardrobeAdd = true, -- enables adding outfits to the wardrobe with ox_target
    wardrobeRemove = true, -- enables removing an outfit from the wardrobe with ox_target
}
```

\
**config/translations.lua :** **You need to add this anywhere in the file**

```lua
openTablet = "Open tablet",
```

\
**server/utils.lua :** **You need to add this anywhere in the file**

```lua
ESX.RegisterCommand('orgmenu', {'user'}, function(xPlayer, args, showError)
    if exports["pc_organizations"]:hasOrgJob(xPlayer.source) then
        TriggerClientEvent("pc_organizations:OpenTablet", xPlayer.source)
    end
end, true, {help = ('Opens organizations tablet')})
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.poisoncode.com/scripts/pc_organizations/updates/version-compatibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
